Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class FileInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FileInputStream

    public class FileInputStream

extends InputStream

Reads a stream of bytes from a file.

Author:
  Brian Bagnall

Constructor Summary
`FileInputStream(File f)`

Method Summary
`int` | `available()` Returns the number of bytes that can be read (or skipped over) from this input stream without blocking by the next caller of a method for this input stream.
`int` | `read()` Reads the next byte of data from the input stream.
`void` | `reset()` resets pointers so next read() is from the start of the file;

Methods inherited from class java.io.InputStream
`close, mark, markSupported, read, read, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### FileInputStream

    public FileInputStream(File f)

Method Detail

### available

    public int available()
                  throws IOException

  Description copied from class: `InputStream`
  Returns the number of bytes that can be read (or skipped over) from this input stream without blocking by the next caller of a method for this input stream. The next caller might be the same thread or or another thread.

  The `available` method for class `InputStream` always returns `0`.

  This method should be overridden by subclasses.

  Overrides:
    `available` in class `InputStream`
  Returns:
    the number of bytes that can be read from this input stream without blocking.
  Throws:
    `IOException` - if an I/O error occurs.

### read

    public int read()
             throws IOException

  Description copied from class: `InputStream`
  Reads the next byte of data from the input stream. The value byte is returned as an `int` in the range `0` to `255`. If no byte is available because the end of the stream has been reached, the value `-1` is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  A subclass must provide an implementation of this method.

  Specified by:
    `read` in class `InputStream`
  Returns:
    the next byte of data, or `-1` if the end of the stream is reached.
  Throws:
    `IOException` - if an I/O error occurs.

### reset

    public void reset()

  resets pointers so next read() is from the start of the file;

  Overrides:
    `reset` in class `InputStream`
  See Also:
    `InputStream.mark(int)`, `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD